server {
    server_name euro.cjam.io;

    # Static file serving configuration
    location / {
        root /home/derrick/eurocom-code;
        autoindex on; # Optional: Enables directory listing
        try_files $uri $uri/ =404;
    }

    listen 443 ssl; # managed by Certbot
    ssl_certificate /etc/letsencrypt/live/euro.cjam.io/fullchain.pem; # managed by Certbot
    ssl_certificate_key /etc/letsencrypt/live/euro.cjam.io/privkey.pem; # managed by Certbot
    include /etc/letsencrypt/options-ssl-nginx.conf; # managed by Certbot
    ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem; # managed by Certbot

}
server {
    if ($host = euro.cjam.io) {
        return 301 https://$host$request_uri;
    } # managed by Certbot


    listen 80;
    server_name euro.cjam.io;
    return 404; # managed by Certbot


}